Skip to content
This repository was archived by the owner on Apr 2, 2020. It is now read-only.

API Documentation

Daniel Morandini edited this page Feb 28, 2019 · 4 revisions

Welcome to the booster API documentation! Here you can find the list (I try to keep it always up to date) of available endpoints. Use them to control booster's behaviour and inspect its content.

GET /sources.json
List of used sources
GET /policies.json
List of active policies
DELETE /policies/{id}.json
Remove policy `id`
POST /policies/block.json
-d {"source_id": "", "issuer": "", "reason": ""}
Apply block policy: source `source_id` will no longer be used
POST /policies/sticky.json
-d {"issuer": "", "reason": ""}
Apply sticky policy: once a source receives a connection to a target,
the following connections to the same target will be assigned to the 
same source
POST /policies/reserve.json
-d {"source_id": "", "hosts": [""], "issuer": "", "reason": ""}
Apply reserve policy: source `source_id` will only be used for connections
to `hosts`, where hosts is a list of hostnames or ip addresses.
POST /policies/avoid.json
-d {"source_id": "", "target": "", "issuer": "", "reason": ""}
Apply reserve policy: source `source_id` will not be used for connections
to `target.
GET /metrics
List the metrics exposed by the server using prometheus export encoding

Clone this wiki locally